<?php
class ADDON_PARCELAS extends ISC_ADDON{
	public function __construct(){
		parent::__construct();
		$this->SetName('Simulador de Parcelas');
		$this->SetImage('');
		$this->SetHelpText('Visualizador de Parcelas e Detalhes.');
	}
	public function SetCustomVars(){
		$this->_variables['ativodesconto'] = array("name" => "Ativar desconto Rodapé produtos",
			"type" => "checkbox",
			"default" => "",
			"options" => array(
			'Sim'=>'1'),
			"required" => false
		);
		$this->_variables['ativodescheckout'] = array("name" => "Ativar Simulador desconto na Finalização",
			"type" => "checkbox",
			"default" => "",
			"options" => array(
			'Sim'=>'1'),
			"required" => false
		);

		$this->_variables['descontohome'] = array(
		'type' => 'text',
		'name' => 'Desconto % (Somente Número)',
		'default' => '0',
		'required' => false);

		$this->_variables['rodapavista'] = array(
		'type' => 'dropdown',
		'name' => 'Selecione a Forma do desconto(Rodapé Produto/Checkout)',
		'default' => 'depósito ou pix',
		'options' => array(
		'boleto' => 'boleto',
		'depósito/pix' => 'depósito/pix',
		'pix' => 'pix',
		'depósito' => 'depósito'
		),
		"multiselect" => false,
		'required' => false
		);

		$this->_variables['rodape1'] = array(
		'type' => 'dropdown',
		'name' => 'Simular Parcela (Rodapé Produto)',
		"help" => 'Atenção: para que a forma selecionada apareça ,é necessário tambem ativar a forma de pagamento em Configurações=>Finalização e Pagamento',
		'default' => 'pagseguro',
		'options' => array(
		'Nenhum' => '1',
		'Cielo' => 'cielo',
		'PagSeguro' => 'pagseguro',
		'Bcash' => 'bcash',
		'MOIP' => 'moip',
		'Paypal' => 'paypal',
		'MercadoPago' => 'mercadopago',
		'PicPay' => 'picpay'
		),
		"multiselect" => false,
		'required' => true
		);
		$this->_variables['parcelaproducts'] = array(
		'type' => 'dropdown',
		"help" => 'Atenção: para que a forma selecionada apareça ,é necessário tambem ativar a forma de pagamento em Configurações=>Finalização e Pagamento',
		'name' => 'Simular Parcela (Página de produtos)',
		'default' => 'deposito',
		'options' => array(
		'Deposito' => 'a',
		'Cheque' => 'c',
		'Boleto' => 'b',
		'Pix' => 'p',
		'Pagar na loja' => 'ca',
		'Cielo' => 'cielo',
		'PagSeguro' => 'pagseguro',
		'Bcash' => 'bcash',
		'MOIP' => 'moip',
		'Paypal' => 'paypal',
		'CC Manual' => 'visacredito',
		'Itau Shopline' => 'shopline',
		'MercadoPago' => 'mercadopago',
		'PicPay' => 'picpay'
		),
		"multiselect" => true,
		'required' => true
		);
	}
	public function Init(){}
	public function EntryPoint(){}
	public function ToolsMenuExample(){}
}